## this is a simple demo show the ability to display and interact with fiber data

import wx
import os

import globalvar as globalvar
from utils import *
from tmp_dti_processing import *

class DTIFiberTab(wx.Panel):
    def __init__(self, parent, frame_parent):
        wx.Panel.__init__(self, parent, -1)

        self.frame_parent = frame_parent
        
        fiber_load = wx.Button(self, -1, 'Load fibers', (20,20))
        self.Bind(wx.EVT_BUTTON, self.Onfiber_loadButton, fiber_load)


    def Onfiber_loadButton(self, evt):
        profileList = create_dti_array()
        
        self.frame_parent.profileList  = profileList
        for i in range(len(profileList)):
            self.frame_parent.ren.AddActor(profileList[i])
            